com.corticon.rulesemf.common.provider

## Class CommonItemProviderAdapterFactory

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
  - - com.corticon.rulesemf.common.util.CommonAdapterFactory
    - - com.corticon.rulesemf.common.provider.CommonItemProviderAdapterFactory

- All Implemented Interfaces:
    org.eclipse.emf.common.notify.AdapterFactory, org.eclipse.emf.edit.provider.ComposeableAdapterFactory, org.eclipse.emf.edit.provider.IChangeNotifier, org.eclipse.emf.edit.provider.IDisposable

      public class CommonItemProviderAdapterFactory
      extends CommonAdapterFactory
      implements org.eclipse.emf.edit.provider.ComposeableAdapterFactory, org.eclipse.emf.edit.provider.IChangeNotifier, org.eclipse.emf.edit.provider.IDisposable

  This is the factory that is used to provide the interfaces needed to support Viewers. The adapters generated by this factory convert EMF adapter notifications into calls to `fireNotifyChanged`. The adapters also support Eclipse property sheets. Note that most of the adapters are shared among multiple instances.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected AnnotatableItemProvider` | `annotatableItemProvider` This keeps track of the one adapter used for all `Annotatable` instances
    `protected AnnotationItemProvider` | `annotationItemProvider` This keeps track of the one adapter used for all `Annotation` instances
    `protected AssetItemProvider` | `assetItemProvider` This keeps track of the one adapter used for all `Asset` instances
    `protected org.eclipse.emf.edit.provider.IChangeNotifier` | `changeNotifier` This is used to implement `IChangeNotifier`
    `protected CorticonObjectItemProvider` | `corticonObjectItemProvider` This keeps track of the one adapter used for all `CorticonObject` instances
    `protected InternationalValidationMessageItemProvider` | `internationalValidationMessageItemProvider` This keeps track of the one adapter used for all `InternationalValidationMessage` instances
    `protected LocalizedValidationMessageItemProvider` | `localizedValidationMessageItemProvider` This keeps track of the one adapter used for all `LocalizedValidationMessage` instances
    `protected org.eclipse.emf.edit.provider.ComposedAdapterFactory` | `parentAdapterFactory` This keeps track of the root adapter factory that delegates to this adapter factory
    `protected java.util.Collection` | `supportedTypes` This keeps track of all the supported types checked by `isFactoryForType`
    `protected ValidatableObjectItemProvider` | `validatableObjectItemProvider` This keeps track of the one adapter used for all `ValidatableObject` instances
    `protected ValidationMessageItemProvider` | `validationMessageItemProvider` This keeps track of the one adapter used for all `ValidationMessage` instances

    - ### Fields inherited from class com.corticon.rulesemf.common.util.CommonAdapterFactory

      `modelPackage, modelSwitch`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommonItemProviderAdapterFactory()` This constructs an instance

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.common.notify.Adapter` | `adapt(org.eclipse.emf.common.notify.Notifier notifier, java.lang.Object type)` This implementation substitutes the factory itself as the key for the adapter
    `java.lang.Object` | `adapt(java.lang.Object object, java.lang.Object type)`
    `void` | `addListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)` This adds a listener
    `org.eclipse.emf.common.notify.Adapter` | `createAnnotatableAdapter()` This creates an adapter for a `Annotatable`
    `org.eclipse.emf.common.notify.Adapter` | `createAnnotationAdapter()` This creates an adapter for a `Annotation`
    `org.eclipse.emf.common.notify.Adapter` | `createAssetAdapter()` This creates an adapter for a `Asset`
    `org.eclipse.emf.common.notify.Adapter` | `createCorticonObjectAdapter()` This creates an adapter for a `CorticonObject`
    `org.eclipse.emf.common.notify.Adapter` | `createInternationalValidationMessageAdapter()` This creates an adapter for a `InternationalValidationMessage`
    `org.eclipse.emf.common.notify.Adapter` | `createLocalizedValidationMessageAdapter()` This creates an adapter for a `LocalizedValidationMessage`
    `org.eclipse.emf.common.notify.Adapter` | `createValidatableObjectAdapter()` This creates an adapter for a `ValidatableObject`
    `org.eclipse.emf.common.notify.Adapter` | `createValidationMessageAdapter()` This creates an adapter for a `ValidationMessage`
    `void` | `dispose()` This disposes all of the item providers created by this factory
    `void` | `fireNotifyChanged(org.eclipse.emf.common.notify.Notification notification)` This delegates to `changeNotifier` and to `parentAdapterFactory`
    `org.eclipse.emf.edit.provider.ComposeableAdapterFactory` | `getRootAdapterFactory()` This returns the root adapter factory that contains this factory
    `boolean` | `isFactoryForType(java.lang.Object type)`
    `void` | `removeListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)` This removes a listener
    `void` | `setParentAdapterFactory(org.eclipse.emf.edit.provider.ComposedAdapterFactory parentAdapterFactory)` This sets the composed adapter factory that contains this factory

    - ### Methods inherited from class com.corticon.rulesemf.common.util.CommonAdapterFactory

      `createAdapter, createEObjectAdapter`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

      `adaptAllNew, adaptNew, associate, createAdapter, resolve`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.AdapterFactory

      `adaptAllNew, adaptNew`

- - ### Field Detail

    - #### parentAdapterFactory

          protected org.eclipse.emf.edit.provider.ComposedAdapterFactory parentAdapterFactory

      This keeps track of the root adapter factory that delegates to this adapter factory.

    - #### changeNotifier

          protected org.eclipse.emf.edit.provider.IChangeNotifier changeNotifier

      This is used to implement `IChangeNotifier`.

    - #### supportedTypes

          protected java.util.Collection supportedTypes

      This keeps track of all the supported types checked by `isFactoryForType`.

    - #### validationMessageItemProvider

          protected ValidationMessageItemProvider validationMessageItemProvider

      This keeps track of the one adapter used for all `ValidationMessage` instances.

    - #### localizedValidationMessageItemProvider

          protected LocalizedValidationMessageItemProvider localizedValidationMessageItemProvider

      This keeps track of the one adapter used for all `LocalizedValidationMessage` instances.

    - #### internationalValidationMessageItemProvider

          protected InternationalValidationMessageItemProvider internationalValidationMessageItemProvider

      This keeps track of the one adapter used for all `InternationalValidationMessage` instances.

    - #### assetItemProvider

          protected AssetItemProvider assetItemProvider

      This keeps track of the one adapter used for all `Asset` instances.

    - #### validatableObjectItemProvider

          protected ValidatableObjectItemProvider validatableObjectItemProvider

      This keeps track of the one adapter used for all `ValidatableObject` instances.

    - #### annotationItemProvider

          protected AnnotationItemProvider annotationItemProvider

      This keeps track of the one adapter used for all `Annotation` instances.

    - #### annotatableItemProvider

          protected AnnotatableItemProvider annotatableItemProvider

      This keeps track of the one adapter used for all `Annotatable` instances.

    - #### corticonObjectItemProvider

          protected CorticonObjectItemProvider corticonObjectItemProvider

      This keeps track of the one adapter used for all `CorticonObject` instances.

  - ### Constructor Detail

    - #### CommonItemProviderAdapterFactory

          public CommonItemProviderAdapterFactory()

      This constructs an instance.

  - ### Method Detail

    - #### createValidationMessageAdapter

          public org.eclipse.emf.common.notify.Adapter createValidationMessageAdapter()

      This creates an adapter for a `ValidationMessage`.
      Overrides:
        `createValidationMessageAdapter` in class `CommonAdapterFactory`
      Returns:
        the new adapter.
      See Also:
        `ValidationMessage`

    - #### createLocalizedValidationMessageAdapter

          public org.eclipse.emf.common.notify.Adapter createLocalizedValidationMessageAdapter()

      This creates an adapter for a `LocalizedValidationMessage`.
      Overrides:
        `createLocalizedValidationMessageAdapter` in class `CommonAdapterFactory`
      Returns:
        the new adapter.
      See Also:
        `LocalizedValidationMessage`

    - #### createInternationalValidationMessageAdapter

          public org.eclipse.emf.common.notify.Adapter createInternationalValidationMessageAdapter()

      This creates an adapter for a `InternationalValidationMessage`.
      Overrides:
        `createInternationalValidationMessageAdapter` in class `CommonAdapterFactory`
      Returns:
        the new adapter.
      See Also:
        `InternationalValidationMessage`

    - #### createAssetAdapter

          public org.eclipse.emf.common.notify.Adapter createAssetAdapter()

      This creates an adapter for a `Asset`.
      Overrides:
        `createAssetAdapter` in class `CommonAdapterFactory`
      Returns:
        the new adapter.
      See Also:
        `Asset`

    - #### createValidatableObjectAdapter

          public org.eclipse.emf.common.notify.Adapter createValidatableObjectAdapter()

      This creates an adapter for a `ValidatableObject`.
      Overrides:
        `createValidatableObjectAdapter` in class `CommonAdapterFactory`
      Returns:
        the new adapter.
      See Also:
        `ValidatableObject`

    - #### createAnnotationAdapter

          public org.eclipse.emf.common.notify.Adapter createAnnotationAdapter()

      This creates an adapter for a `Annotation`.
      Overrides:
        `createAnnotationAdapter` in class `CommonAdapterFactory`
      Returns:
        the new adapter.
      See Also:
        `Annotation`

    - #### createAnnotatableAdapter

          public org.eclipse.emf.common.notify.Adapter createAnnotatableAdapter()

      This creates an adapter for a `Annotatable`.
      Overrides:
        `createAnnotatableAdapter` in class `CommonAdapterFactory`
      Returns:
        the new adapter.
      See Also:
        `Annotatable`

    - #### createCorticonObjectAdapter

          public org.eclipse.emf.common.notify.Adapter createCorticonObjectAdapter()

      This creates an adapter for a `CorticonObject`.
      Overrides:
        `createCorticonObjectAdapter` in class `CommonAdapterFactory`
      Returns:
        the new adapter.
      See Also:
        `CorticonObject`

    - #### getRootAdapterFactory

          public org.eclipse.emf.edit.provider.ComposeableAdapterFactory getRootAdapterFactory()

      This returns the root adapter factory that contains this factory.
      Specified by:
        `getRootAdapterFactory` in interface `org.eclipse.emf.edit.provider.ComposeableAdapterFactory`

    - #### setParentAdapterFactory

          public void setParentAdapterFactory(org.eclipse.emf.edit.provider.ComposedAdapterFactory parentAdapterFactory)

      This sets the composed adapter factory that contains this factory.
      Specified by:
        `setParentAdapterFactory` in interface `org.eclipse.emf.edit.provider.ComposeableAdapterFactory`

    - #### isFactoryForType

          public boolean isFactoryForType(java.lang.Object type)

      Specified by:
        `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
      Overrides:
        `isFactoryForType` in class `CommonAdapterFactory`
      Returns:
        whether this factory is applicable for the type of the object.

    - #### adapt

          public org.eclipse.emf.common.notify.Adapter adapt(org.eclipse.emf.common.notify.Notifier notifier,
                                                    java.lang.Object type)

      This implementation substitutes the factory itself as the key for the adapter.
      Specified by:
        `adapt` in interface `org.eclipse.emf.common.notify.AdapterFactory`
      Overrides:
        `adapt` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`

    - #### adapt

          public java.lang.Object adapt(java.lang.Object object,
                               java.lang.Object type)

      Specified by:
        `adapt` in interface `org.eclipse.emf.common.notify.AdapterFactory`
      Overrides:
        `adapt` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`

    - #### addListener

          public void addListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)

      This adds a listener.
      Specified by:
        `addListener` in interface `org.eclipse.emf.edit.provider.IChangeNotifier`

    - #### removeListener

          public void removeListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)

      This removes a listener.
      Specified by:
        `removeListener` in interface `org.eclipse.emf.edit.provider.IChangeNotifier`

    - #### fireNotifyChanged

          public void fireNotifyChanged(org.eclipse.emf.common.notify.Notification notification)

      This delegates to `changeNotifier` and to `parentAdapterFactory`.
      Specified by:
        `fireNotifyChanged` in interface `org.eclipse.emf.edit.provider.IChangeNotifier`

    - #### dispose

          public void dispose()

      This disposes all of the item providers created by this factory.
      Specified by:
        `dispose` in interface `org.eclipse.emf.edit.provider.IDisposable`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.